# SPED-MDFE v3.00a

Framework para geração e comunicação dos MDFe com as SEFAZ autorizadoras.

*sped-mdfe é um framework para geração MDFe e eventos na comunicação com as SEFAZ autorizadoras.*

[![Build Status][ico-travis]][link-travis]
[![Coverage Status][ico-scrutinizer]][link-scrutinizer]
[![Quality Score][ico-code-quality]][link-code-quality]
[![Latest Version on Packagist][ico-version]][link-packagist]
[![License][ico-license]][link-packagist]
[![Total Downloads][ico-downloads]][link-downloads]

[![Issues][ico-issues]][link-issues]
[![Forks][ico-forks]][link-forks]
[![Stars][ico-stars]][link-stars]
[![Chat][ico-gitter]][link-gitter]

## Objetivo

Este pacote visa fornecer os meios para gerar, assinar e enviar os dados relativos ao projeto Sped MDFe.

Este pacote faz parte da API NFePHP e atende aos parâmetros das PSR2 e PSR4, bem como é desenvolvida para adequar as versões ATIVAS do PHP e aos layouts da MDFe em vigor.

## Install

```sh
composer require nfephp-org/sped-mdfe:dev-master
```

## Change log

Acompanhe o [CHANGELOG](CHANGELOG.md) para maiores informações sobre as alterações recentes.

## Contributing

Para contribuir por favor observe o [CONTRIBUTING](CONTRIBUTING.md) e o  [Código de Conduta](CONDUCT.md) para detalhes.

## Pull Request

Para que seu Pull Request seja aceito ele deve estar seguindo os padrões descritos neste documento <http://www.walkeralencar.com/PHPCodeStandards.pdf>

## Security

Caso você encontre algum problema relativo a segurança, por favor envie um email diretamente aos mantenedores do pacote ao invés de abrir um ISSUE.

## Credits

- Cleiton Perin (Owner)
- Roberto L. Machado (Owner)

## License

Este pacote está diponibilizado sob GPLv3 ou LGPLv3 ou MIT License (MIT). Leia  [Arquivo de Licença](LICENSE.md) para maiores informações.


[ico-stars]: https://img.shields.io/github/stars/nfephp-org/sped-mdfe.svg?style=flat-square
[ico-forks]: https://img.shields.io/github/forks/nfephp-org/sped-mdfe.svg?style=flat-square
[ico-issues]: https://img.shields.io/github/issues/nfephp-org/sped-mdfe.svg?style=flat-square
[ico-travis]: https://img.shields.io/travis/nfephp-org/sped-mdfe/master.svg?style=flat-square
[ico-scrutinizer]: https://img.shields.io/scrutinizer/coverage/g/nfephp-org/sped-mdfe.svg?style=flat-square
[ico-code-quality]: https://img.shields.io/scrutinizer/g/nfephp-org/sped-mdfe.svg?style=flat-square
[ico-downloads]: https://img.shields.io/packagist/dt/nfephp-org/sped-mdfe.svg?style=flat-square
[ico-version]: https://img.shields.io/packagist/v/nfephp-org/sped-mdfe.svg?style=flat-square
[ico-license]: https://poser.pugx.org/nfephp-org/nfephp/license.svg?style=flat-square
[ico-gitter]: https://img.shields.io/badge/GITTER-4%20users%20online-green.svg?style=flat-square

[link-packagist]: https://packagist.org/packages/nfephp-org/sped-mdfe
[link-travis]: https://travis-ci.org/nfephp-org/sped-mdfe
[link-scrutinizer]: https://scrutinizer-ci.com/g/nfephp-org/sped-mdfe/code-structure
[link-code-quality]: https://scrutinizer-ci.com/g/nfephp-org/sped-mdfe
[link-downloads]: https://packagist.org/packages/nfephp-org/sped-mdfe
[link-author]: https://github.com/nfephp-org
[link-issues]: https://github.com/nfephp-org/sped-mdfe/issues
[link-forks]: https://github.com/nfephp-org/sped-mdfe/network
[link-stars]: https://github.com/nfephp-org/sped-mdfe/stargazers
[link-gitter]: https://gitter.im/nfephp-org/sped-mdfe?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge
